PDF X-Change Viewer

Informations

Creator Message
atirage21 Anonymous

Information

This installer has been approved by the team.

Informations

Platforms:
Downloads: 7877
Wine: 5.0.4

Feedbacks

Description

No PDF reader or Viewer offers more features than PDF-XChange - or does so without compromising performance and quality. Website.

Source code

#!/usr/bin/env playonlinux-bash
# Date : (2015-03-07)
# Last revision : (2021-04-12)
# Wine version used : 5.0.4
# Distribution used to test : Linux Mint 20.1 Cinnamon
# Author : see changelog
# PlayOnLinux : 4.3.4
#
# CHANGELOG
# [Yaotl] (2021-04-09)
#   Completely revised.
# [jadedcyborg] (2017-04-18)
#   Completely revised.
# [edgimar] (2019-05-10)
#   First script.


[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="PDF-XChange Viewer"
PREFIX="pdfxcview"
WINEVERSION="5.0.4"
DOWNLOAD_URL="https://downloads.pdf-xchange.com/PDFXVwer.exe"
#MD5_CHECKSUM=""
EXE_NAME="PDFXVwer.exe"

POL_SetupWindow_Init
POL_SetupWindow_SetID 2273
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Tracker Software Products" "https://www.tracker-software.com/product/pdf-xchange-viewer" "POL & POM Community" "$PREFIX"

POL_RequiredVersion 4.3.4 || POL_Debug_Fatal "$TITLE won't work with $APPLICATION_TITLE $VERSION\nPlease update."

POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "auto"
POL_Wine_PrefixCreate "$WINEVERSION"

POL_Call POL_Install_corefonts

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
if [ "$INSTALL_METHOD" == "LOCAL" ]; then
    cd "$HOME"
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
    INSTALLER="$APP_ANSWER"
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
    POL_System_TmpCreate "$PREFIX"
    cd "$POL_System_TmpDir"
    POL_Download "$DOWNLOAD_URL" #"$MD5_CHECKSUM"
    INSTALLER="$POL_System_TmpDir/$EXE_NAME"
fi

POL_Wine_WaitBefore "$TITLE"
POL_Wine "$INSTALLER"
POL_Wine_WaitExit "$INSTALLER"

POL_System_TmpDelete
POL_Shortcut "PDFXCview.exe" "$TITLE" #"" "" "Office;PDF;"
POL_SetupWindow_Close
exit

Contributions

Filters:

Contribute
Member Message
Tasmedic Thursday 30 September 2021 at 5:29
Tasmedic Anonymous

Message

PDF-XChange Viewer 2.5 build 322 works fine using manual install on Playonlinux. with wine 5.0 configured as windows 7.

No glitches and all tools and features seem to work OK

Thanks for getting this to work. I use it's OCR capabilities to extract text from image PDF's.

Best wishes

Tasmedic.


 

Replies

Yaotl Monday 12 April 2021 at 23:41
Yaotl Anonymous

Information

This update has been approved by the team.

Differences

@@ -1,87 +1,61 @@
-#!/bin/bash
-# Date                      : 2017-04-18 11:16 UTC
-# Last revision             : 2017-04-18 11:16 UTC
-# Wine version used         : 2.0
-# Distribution used to test : Linux Mint 17.3
-# Author                    : jadedcyborg
-
-if [[ -z "$PLAYONLINUX" ]]; then
-    >&2 echo "PlayOnLinux environment not present"
-    exit 1
-fi
+#!/usr/bin/env playonlinux-bash
+# Date : (2015-03-07)
+# Last revision : (2021-04-12)
+# Wine version used : 5.0.4
+# Distribution used to test : Linux Mint 20.1 Cinnamon
+# Author : see changelog
+# PlayOnLinux : 4.3.4
+#
+# CHANGELOG
+# [Yaotl] (2021-04-09)
+#   Completely revised.
+# [jadedcyborg] (2017-04-18)
+#   Completely revised.
+# [edgimar] (2019-05-10)
+#   First script.
+
+
+[ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
 
 TITLE="PDF-XChange Viewer"
-VENDOR="Tracker Software Products"
-VENDOR_URL="http://www.tracker-software.com"
-AUTHOR="jadedcyborg"
 PREFIX="pdfxcview"
-WINE_VERSION="2.0"
-INSTALLER_URL="http://downloads.pdf-xchange.com/PXCViewer_x86.msi"
-INSTALLER_ARCH="x86"
-INSTALLER_OS=("win7" "sp1")
-EXE_NAME="PDFXCview.exe"
-
-MSG_BROWSE="$(eval_gettext "Please select the setup file to run.")"
-MSG_WAIT="$(eval_gettext "Please wait while \$TITLE is installed.")"
-MSG_SUCCESS="$(eval_gettext "\$TITLE has been successfully installed.")"
-MSG_FAILURE="$(eval_gettext "An unknown error occured, error code %d.")"
-MSG_ARCH_MENU="$(eval_gettext "Select the architecture of the setup file.")"
-MSG_UNKNOWN_FILEXT="$(eval_gettext "Unknown setup file extension. Must be '.exe' or '.msi'.")"
+WINEVERSION="5.0.4"
+DOWNLOAD_URL="https://downloads.pdf-xchange.com/PDFXVwer.exe"
+#MD5_CHECKSUM=""
+EXE_NAME="PDFXVwer.exe"
 
 POL_SetupWindow_Init
+POL_SetupWindow_SetID 2273
 POL_Debug_Init
-POL_System_TmpCreate "$PREFIX"
 
-__finish() {
-    declare -ri code=${1:-0}
-    shift
-    POL_System_TmpDelete
-    if ((code == 0)); then
-        POL_SetupWindow_message "$MSG_SUCCESS" "$TITLE"
-    else
-        POL_Debug_Fatal "${1:-"$(printf "$MSG_FAILURE" $code)"}" "$TITLE"
-    fi
-    POL_SetupWindow_Close
-    exit $code
-}
-
-POL_SetupWindow_presentation "$TITLE" "$VENDOR" "$VENDOR_URL" "$AUTHOR" "$PREFIX"
-POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
- 
-if [[ "$INSTALL_METHOD" == "LOCAL" ]]; then
-    POL_SetupWindow_browse "$MSG_BROWSE" "$TITLE"
-    INSTALLER="$APP_ANSWER"
-    POL_SetupWindow_menu "$MSG_ARCH_MENU" "$TITLE" "x86~amd64" "~"
-    INSTALLER_ARCH="$APP_ANSWER"
-elif [[ "$INSTALL_METHOD" == "DOWNLOAD" ]]; then
-    cd "$POL_System_TmpDir"
-    POL_Download "$INSTALLER_URL"
-    INSTALLER="$POL_System_TmpDir/${INSTALLER_URL##*/}"
-fi
+POL_SetupWindow_presentation "$TITLE" "Tracker Software Products" "https://www.tracker-software.com/product/pdf-xchange-viewer" "POL & POM Community" "$PREFIX"
 
-ARGS=()
-case "$INSTALLER" in
-*.exe)
-    ARGS+=("start" "/unix")
-    ;;
-*.msi)
-    ARGS+=("msiexec" "/i")
-    ;;
-*)
-    __finish 3 "$MSG_UNKNOWN_FILEXT"
-esac
+POL_RequiredVersion 4.3.4 || POL_Debug_Fatal "$TITLE won't work with $APPLICATION_TITLE $VERSION\nPlease update."
 
-Set_OS "${INSTALLER_OS[@]}"
-POL_System_SetArch "$INSTALLER_ARCH"
 POL_Wine_SelectPrefix "$PREFIX"
-POL_Wine_PrefixCreate "$WINE_VERSION"
+POL_System_SetArch "auto"
+POL_Wine_PrefixCreate "$WINEVERSION"
 
-POL_SetupWindow_wait "$MSG_WAIT" "$TITLE"
-POL_Wine "${ARGS[@]}" "$INSTALLER"
-rcode=$?
-[[ $rcode != 0 ]] && __finish $rcode
+POL_Call POL_Install_corefonts
 
-POL_Shortcut "$EXE_NAME" "$TITLE"
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
+if [ "$INSTALL_METHOD" == "LOCAL" ]; then
+    cd "$HOME"
+    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
+    INSTALLER="$APP_ANSWER"
+elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
+    POL_System_TmpCreate "$PREFIX"
+    cd "$POL_System_TmpDir"
+    POL_Download "$DOWNLOAD_URL" #"$MD5_CHECKSUM"
+    INSTALLER="$POL_System_TmpDir/$EXE_NAME"
+fi
 
-__finish 0
+POL_Wine_WaitBefore "$TITLE"
+POL_Wine "$INSTALLER"
+POL_Wine_WaitExit "$INSTALLER"
+
+POL_System_TmpDelete
+POL_Shortcut "PDFXCview.exe" "$TITLE" #"" "" "Office;PDF;"
+POL_SetupWindow_Close
+exit
\ No newline at end of file

New source code

#!/usr/bin/env playonlinux-bash
# Date : (2015-03-07)
# Last revision : (2021-04-12)
# Wine version used : 5.0.4
# Distribution used to test : Linux Mint 20.1 Cinnamon
# Author : see changelog
# PlayOnLinux : 4.3.4
#
# CHANGELOG
# [Yaotl] (2021-04-09)
#   Completely revised.
# [jadedcyborg] (2017-04-18)
#   Completely revised.
# [edgimar] (2019-05-10)
#   First script.


[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="PDF-XChange Viewer"
PREFIX="pdfxcview"
WINEVERSION="5.0.4"
DOWNLOAD_URL="https://downloads.pdf-xchange.com/PDFXVwer.exe"
#MD5_CHECKSUM=""
EXE_NAME="PDFXVwer.exe"

POL_SetupWindow_Init
POL_SetupWindow_SetID 2273
POL_Debug_Init

POL_SetupWindow_presentation "$TITLE" "Tracker Software Products" "https://www.tracker-software.com/product/pdf-xchange-viewer" "POL & POM Community" "$PREFIX"

POL_RequiredVersion 4.3.4 || POL_Debug_Fatal "$TITLE won't work with $APPLICATION_TITLE $VERSION\nPlease update."

POL_Wine_SelectPrefix "$PREFIX"
POL_System_SetArch "auto"
POL_Wine_PrefixCreate "$WINEVERSION"

POL_Call POL_Install_corefonts

POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
if [ "$INSTALL_METHOD" == "LOCAL" ]; then
    cd "$HOME"
    POL_SetupWindow_browse "$(eval_gettext 'Please select the setup file to run')" "$TITLE"
    INSTALLER="$APP_ANSWER"
elif [ "$INSTALL_METHOD" == "DOWNLOAD" ]; then
    POL_System_TmpCreate "$PREFIX"
    cd "$POL_System_TmpDir"
    POL_Download "$DOWNLOAD_URL" #"$MD5_CHECKSUM"
    INSTALLER="$POL_System_TmpDir/$EXE_NAME"
fi

POL_Wine_WaitBefore "$TITLE"
POL_Wine "$INSTALLER"
POL_Wine_WaitExit "$INSTALLER"

POL_System_TmpDelete
POL_Shortcut "PDFXCview.exe" "$TITLE" #"" "" "Office;PDF;"
POL_SetupWindow_Close
exit

Replies

Thursday 15 April 2021 at 11:04
Approved.
jadedcyborg Tuesday 18 April 2017 at 13:21
jadedcyborg Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -1,25 +1,87 @@
 #!/bin/bash
-[ "$PLAYONLINUX" = "" ] && exit 0
+# Date                      : 2017-04-18 11:16 UTC
+# Last revision             : 2017-04-18 11:16 UTC
+# Wine version used         : 2.0
+# Distribution used to test : Linux Mint 17.3
+# Author                    : jadedcyborg
+
+if [[ -z "$PLAYONLINUX" ]]; then
+    >&2 echo "PlayOnLinux environment not present"
+    exit 1
+fi
 source "$PLAYONLINUX/lib/sources"
 
-TITLE="PDF-Xchange Viewer"
-PREFIX="pdfxchange_viewer"
- 
+TITLE="PDF-XChange Viewer"
+VENDOR="Tracker Software Products"
+VENDOR_URL="http://www.tracker-software.com"
+AUTHOR="jadedcyborg"
+PREFIX="pdfxcview"
+WINE_VERSION="2.0"
+INSTALLER_URL="http://downloads.pdf-xchange.com/PXCViewer_x86.msi"
+INSTALLER_ARCH="x86"
+INSTALLER_OS=("win7" "sp1")
+EXE_NAME="PDFXCview.exe"
+
+MSG_BROWSE="$(eval_gettext "Please select the setup file to run.")"
+MSG_WAIT="$(eval_gettext "Please wait while \$TITLE is installed.")"
+MSG_SUCCESS="$(eval_gettext "\$TITLE has been successfully installed.")"
+MSG_FAILURE="$(eval_gettext "An unknown error occured, error code %d.")"
+MSG_ARCH_MENU="$(eval_gettext "Select the architecture of the setup file.")"
+MSG_UNKNOWN_FILEXT="$(eval_gettext "Unknown setup file extension. Must be '.exe' or '.msi'.")"
+
 POL_SetupWindow_Init
 POL_Debug_Init
-POL_SetupWindow_presentation "$TITLE" "Tracker Software Products" "http://www.tracker-software.com" "Mark Edgington" "$PREFIX"
+POL_System_TmpCreate "$PREFIX"
 
-POL_Wine_SelectPrefix "$PREFIX"
-POL_Wine_PrefixCreate "1.5.3-heap_allocation_v2-avoid_deadlock"
+__finish() {
+    declare -ri code=${1:-0}
+    shift
+    POL_System_TmpDelete
+    if ((code == 0)); then
+        POL_SetupWindow_message "$MSG_SUCCESS" "$TITLE"
+    else
+        POL_Debug_Fatal "${1:-"$(printf "$MSG_FAILURE" $code)"}" "$TITLE"
+    fi
+    POL_SetupWindow_Close
+    exit $code
+}
+
+POL_SetupWindow_presentation "$TITLE" "$VENDOR" "$VENDOR_URL" "$AUTHOR" "$PREFIX"
+POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
  
-Set_OS winxp
-cd "$WINEPREFIX/drive_c"
-POL_Download "http://www.tracker-software.com/downloads/PDFXVwer.exe"
-
-POL_Wine_WaitBefore "$TITLE"
-POL_Wine --ignore-errors "PDFXVwer.exe"
-POL_Wine_WaitExit "$TITLE"
-
-POL_Shortcut "PDFXCview.exe" "$TITLE"
-POL_SetupWindow_Close
-exit
+if [[ "$INSTALL_METHOD" == "LOCAL" ]]; then
+    POL_SetupWindow_browse "$MSG_BROWSE" "$TITLE"
+    INSTALLER="$APP_ANSWER"
+    POL_SetupWindow_menu "$MSG_ARCH_MENU" "$TITLE" "x86~amd64" "~"
+    INSTALLER_ARCH="$APP_ANSWER"
+elif [[ "$INSTALL_METHOD" == "DOWNLOAD" ]]; then
+    cd "$POL_System_TmpDir"
+    POL_Download "$INSTALLER_URL"
+    INSTALLER="$POL_System_TmpDir/${INSTALLER_URL##*/}"
+fi
+
+ARGS=()
+case "$INSTALLER" in
+*.exe)
+    ARGS+=("start" "/unix")
+    ;;
+*.msi)
+    ARGS+=("msiexec" "/i")
+    ;;
+*)
+    __finish 3 "$MSG_UNKNOWN_FILEXT"
+esac
+
+Set_OS "${INSTALLER_OS[@]}"
+POL_System_SetArch "$INSTALLER_ARCH"
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "$WINE_VERSION"
+
+POL_SetupWindow_wait "$MSG_WAIT" "$TITLE"
+POL_Wine "${ARGS[@]}" "$INSTALLER"
+rcode=$?
+[[ $rcode != 0 ]] && __finish $rcode
+
+POL_Shortcut "$EXE_NAME" "$TITLE"
+
+__finish 0

New source code

#!/bin/bash
# Date                      : 2017-04-18 11:16 UTC
# Last revision             : 2017-04-18 11:16 UTC
# Wine version used         : 2.0
# Distribution used to test : Linux Mint 17.3
# Author                    : jadedcyborg

if [[ -z "$PLAYONLINUX" ]]; then
    >&2 echo "PlayOnLinux environment not present"
    exit 1
fi
source "$PLAYONLINUX/lib/sources"

TITLE="PDF-XChange Viewer"
VENDOR="Tracker Software Products"
VENDOR_URL="http://www.tracker-software.com"
AUTHOR="jadedcyborg"
PREFIX="pdfxcview"
WINE_VERSION="2.0"
INSTALLER_URL="http://downloads.pdf-xchange.com/PXCViewer_x86.msi"
INSTALLER_ARCH="x86"
INSTALLER_OS=("win7" "sp1")
EXE_NAME="PDFXCview.exe"

MSG_BROWSE="$(eval_gettext "Please select the setup file to run.")"
MSG_WAIT="$(eval_gettext "Please wait while \$TITLE is installed.")"
MSG_SUCCESS="$(eval_gettext "\$TITLE has been successfully installed.")"
MSG_FAILURE="$(eval_gettext "An unknown error occured, error code %d.")"
MSG_ARCH_MENU="$(eval_gettext "Select the architecture of the setup file.")"
MSG_UNKNOWN_FILEXT="$(eval_gettext "Unknown setup file extension. Must be '.exe' or '.msi'.")"

POL_SetupWindow_Init
POL_Debug_Init
POL_System_TmpCreate "$PREFIX"

__finish() {
    declare -ri code=${1:-0}
    shift
    POL_System_TmpDelete
    if ((code == 0)); then
        POL_SetupWindow_message "$MSG_SUCCESS" "$TITLE"
    else
        POL_Debug_Fatal "${1:-"$(printf "$MSG_FAILURE" $code)"}" "$TITLE"
    fi
    POL_SetupWindow_Close
    exit $code
}

POL_SetupWindow_presentation "$TITLE" "$VENDOR" "$VENDOR_URL" "$AUTHOR" "$PREFIX"
POL_SetupWindow_InstallMethod "LOCAL,DOWNLOAD"
 
if [[ "$INSTALL_METHOD" == "LOCAL" ]]; then
    POL_SetupWindow_browse "$MSG_BROWSE" "$TITLE"
    INSTALLER="$APP_ANSWER"
    POL_SetupWindow_menu "$MSG_ARCH_MENU" "$TITLE" "x86~amd64" "~"
    INSTALLER_ARCH="$APP_ANSWER"
elif [[ "$INSTALL_METHOD" == "DOWNLOAD" ]]; then
    cd "$POL_System_TmpDir"
    POL_Download "$INSTALLER_URL"
    INSTALLER="$POL_System_TmpDir/${INSTALLER_URL##*/}"
fi

ARGS=()
case "$INSTALLER" in
*.exe)
    ARGS+=("start" "/unix")
    ;;
*.msi)
    ARGS+=("msiexec" "/i")
    ;;
*)
    __finish 3 "$MSG_UNKNOWN_FILEXT"
esac

Set_OS "${INSTALLER_OS[@]}"
POL_System_SetArch "$INSTALLER_ARCH"
POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "$WINE_VERSION"

POL_SetupWindow_wait "$MSG_WAIT" "$TITLE"
POL_Wine "${ARGS[@]}" "$INSTALLER"
rcode=$?
[[ $rcode != 0 ]] && __finish $rcode

POL_Shortcut "$EXE_NAME" "$TITLE"

__finish 0

Replies

Anonymous
Tuesday 18 April 2017 at 14:59
Rewritten and improved. Bumped Wine-version to 2.0. Windows-version to Win7 SP1. Downloads x86 MSI-installer by default but can also be used to install 64-bit version.
edgimar Saturday 7 March 2015 at 12:55
edgimar Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Differences

@@ -0,0 +1,25 @@
+#!/bin/bash
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+TITLE="PDF-Xchange Viewer"
+PREFIX="pdfxchange_viewer"
+ 
+POL_SetupWindow_Init
+POL_Debug_Init
+POL_SetupWindow_presentation "$TITLE" "Tracker Software Products" "http://www.tracker-software.com" "Mark Edgington" "$PREFIX"
+
+POL_Wine_SelectPrefix "$PREFIX"
+POL_Wine_PrefixCreate "1.5.3-heap_allocation_v2-avoid_deadlock"
+ 
+Set_OS winxp
+cd "$WINEPREFIX/drive_c"
+POL_Download "http://www.tracker-software.com/downloads/PDFXVwer.exe"
+
+POL_Wine_WaitBefore "$TITLE"
+POL_Wine --ignore-errors "PDFXVwer.exe"
+POL_Wine_WaitExit "$TITLE"
+
+POL_Shortcut "PDFXCview.exe" "$TITLE"
+POL_SetupWindow_Close
+exit

New source code

#!/bin/bash
[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="PDF-Xchange Viewer"
PREFIX="pdfxchange_viewer"
 
POL_SetupWindow_Init
POL_Debug_Init
POL_SetupWindow_presentation "$TITLE" "Tracker Software Products" "http://www.tracker-software.com" "Mark Edgington" "$PREFIX"

POL_Wine_SelectPrefix "$PREFIX"
POL_Wine_PrefixCreate "1.5.3-heap_allocation_v2-avoid_deadlock"
 
Set_OS winxp
cd "$WINEPREFIX/drive_c"
POL_Download "http://www.tracker-software.com/downloads/PDFXVwer.exe"

POL_Wine_WaitBefore "$TITLE"
POL_Wine --ignore-errors "PDFXVwer.exe"
POL_Wine_WaitExit "$TITLE"

POL_Shortcut "PDFXCview.exe" "$TITLE"
POL_SetupWindow_Close
exit

Replies

Sunday 8 March 2015 at 11:10
Thank you very much for your script! It does work and I was able to successfully install the editor!
Anonymous
Wednesday 9 March 2016 at 17:59
does it work for pdfXchange editor?
edgimar Saturday 7 March 2015 at 12:16
edgimar Anonymous

Message

Version 2.5 of the program runs without crashing if you have the right wine version installed (1.5.3-heap_allocation_v2-avoid_deadlock).  When a script is made for intalling PDF X-Change Viewer, it should take this into account!

Replies

orschiro Saturday 7 March 2015 at 11:59
orschiro

Message

How can I install this from playonlinux?

I cannot find it in the existing software categories.

Replies

atirage21 Monday 15 September 2014 at 12:16
atirage21 Anonymous

Message

wine 1.6.1 (32bit)

 

After install please: Activating "Use synchronous mode of page rendering" in PDF-XChange Viewer (Edit
-> Preferences -> Performance) solved the problem --- now it works perfectly
for me.

Replies